package com.daim.flutter_apm_example.activity

import android.content.Intent
import android.os.Bundle
import com.moonmiles.apm.sdk.activity.APMClientActivityUtils
import io.flutter.embedding.android.FlutterFragmentActivity


class MainActivity: FlutterFragmentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        APMClientActivityUtils.onCreate(this)
    }

    override fun onResume() {
        super.onResume()
        APMClientActivityUtils.onResume(this)
    }

    override fun onPause() {
        super.onPause()
        APMClientActivityUtils.onPause(this)
    }

    override fun onDestroy() {
        super.onDestroy()
        APMClientActivityUtils.onDestroy(this)
    }

    override fun onNewIntent(intent: Intent) {
        super.onNewIntent(intent)
        APMClientActivityUtils.onNewIntent(this, intent)
    }
}
