
import 'dart:async';

import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

class APMDeeplinkUtilsModule {
  static const EventChannel _eventChannel = const EventChannel('apm_deeplink_utils_module_events');
  static StreamSubscription? deeplinkUtilsSubscription;

  static Future addListener(void onData(dynamic event)?) async {
    await removeListener();
    deeplinkUtilsSubscription = _eventChannel.receiveBroadcastStream().listen(onData);
  }

  static Future removeListener() async {
    if(deeplinkUtilsSubscription != null) {
      deeplinkUtilsSubscription!.cancel();
    }
  }
}
